ON_UuidIndexList Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_array.h>`

Inheritance diagram for ON_UuidIndexList:

## Public Member Functions

| ON_UuidIndexList ()
| ON_UuidIndexList (int capacity)
| ~ON_UuidIndexList ()
| ON_UuidIndexList (const ON_UuidIndexList &src)
ON_UuidIndexList & | operator= (const ON_UuidIndexList &src)
int | Count () const
void | Empty ()
void | Reserve (int capacity)
bool | AddUuidIndex (ON_UUID uuid, int index, bool bCheckForDupicates=true)
bool | RemoveUuid (ON_UUID uuid)
bool | FindUuid (ON_UUID uuid, int *index=NULL) const
bool | FindUuidIndex (ON_UUID uuid, int index) const
int | GetUuids (ON_SimpleArray< ON_UUID > &uuid_list) const
void | ImproveSearchSpeed ()

## Detailed Description

Definition at line 1360 of file opennurbs_array.h.

## Constructor & Destructor Documentation

ON_UuidIndexList::ON_UuidIndexList | ( |  | ) |

ON_UuidIndexList::ON_UuidIndexList | ( | int | capacity | ) |

ON_UuidIndexList::~ON_UuidIndexList | ( |  | ) |

ON_UuidIndexList::ON_UuidIndexList | ( | const ON_UuidIndexList & | src | ) |

## Member Function Documentation

bool ON_UuidIndexList::AddUuidIndex | ( | ON_UUID | uuid,
|  | int | index,
|  | bool | bCheckForDupicates = `true`
| ) |  |

int ON_UuidIndexList::Count | ( |  | ) | const

void ON_UuidIndexList::Empty | ( |  | ) |

bool ON_UuidIndexList::FindUuid | ( | ON_UUID | uuid,
|  | int * | index = `NULL`
| ) |  | const

bool ON_UuidIndexList::FindUuidIndex | ( | ON_UUID | uuid,
|  | int | index
| ) |  | const

int ON_UuidIndexList::GetUuids | ( | ON_SimpleArray< ON_UUID > & | uuid_list | ) | const

void ON_UuidIndexList::ImproveSearchSpeed | ( |  | ) |

ON_UuidIndexList& ON_UuidIndexList::operator= | ( | const ON_UuidIndexList & | src | ) |

bool ON_UuidIndexList::RemoveUuid | ( | ON_UUID | uuid | ) |

void ON_UuidIndexList::Reserve | ( | int | capacity | ) |

The documentation for this class was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_array.h